Page MenuHomePhabricator

hardware request for netmon1001 replacement
Closed, ResolvedPublic

Description

hardware request for replacement of netmon1001

Requesting a physical server to replace netmon1001. (WMF3436)

current server is Dell PowerEdge R510 that is out of warranty since a long time.

old server in racktables: https://racktables.wikimedia.org/index.php?page=object&tab=default&object_id=887

hardware specs of current server:

2 x   Intel Xeon 5600 / Intel(R) Xeon(R) CPU           E5640  @ 2.67GHz
       size: 2666MHz
       capacity: 3600MHz
       width: 64 bits
       clock: 1565MHz
8  x   8GB  DIMM DDR3 Synchronous 1333 MHz (0.8 ns)
total: 64GB RAM

related parent task to upgrade the current server: T125020

Event Timeline

Dzahn created this task.Jan 23 2017, 5:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2017, 5:51 PM
Dzahn reassigned this task from Dzahn to RobH.Jan 23 2017, 8:34 PM
Dzahn updated the task description. (Show Details)
Dzahn shifted this object from the S1 Public space to the Restricted Space space.
Restricted Application added a project: procurement. · View Herald TranscriptJan 23 2017, 8:34 PM
Dzahn updated the task description. (Show Details)Jan 23 2017, 8:36 PM
Restricted Application added a project: Operations. · View Herald TranscriptJan 23 2017, 8:36 PM
RobH shifted this object from the Restricted Space space to the S1 Public space.Jan 23 2017, 9:18 PM
RobH edited projects, added hardware-requests; removed procurement.
RobH reassigned this task from RobH to mark.Jan 23 2017, 9:32 PM
RobH added subscribers: mark, RobH.

So netmon1001 has the following:

  • Dual Intel Xeon E5640
  • 64 GB Memory
  • 12 disk spindles with hw raid
    • this was simply due to the spare being allocated being an old db system. The disk/storage capacity is well below what the old spare has:
Filesystem             Size  Used Avail Use% Mounted on
/dev/sda1               37G   20G   16G  56% /
udev                    32G  4.0K   32G   1% /dev
tmpfs                  6.3G  608K  6.3G   1% /run
none                   5.0M     0  5.0M   0% /run/lock
none                    32G     0   32G   0% /run/shm
/dev/mapper/tank-data  1.4T   20G  1.4T   2% /srv

So the spare I want to allocate is dual 1TB SATA, which would be software raid1. The in use space on all the file systems is less than 50GB, so it should be fine.

Proposed spare allocation:
wmf4747 - hw warranty expires on 2019-03-24 - Dual Intel Xeon E5-2640 v3 2.8GHz/8Core - 64GB RAM - Dual 1TB SATA - purchased on T130738

I'm assigning this to @mark for his allocation approval. Once granted, please assign back to me for the initial implementation steps/allocation.

Thanks!

faidon added a subscriber: faidon.Jan 24 2017, 9:13 AM

Thanks for being thorough @RobH and actually double-checking the disk usage :) Disk space usage is indeed minimal, but this box holds a lot of RRDs (for LibreNMS and currently Torrus) and while I haven't actually checked the numbers, my estimation is that it could probably benefit by more IOPS. What would be the price difference if we got two -smaller- SSDs instead?

RobH claimed this task.Jan 24 2017, 3:38 PM

We don't have any spare systems with SSDs, so we would have to order the machine specifically to house them.

Since it seems this spare won't do, I'll go ahead and create a procurement task for quoting out a new system.

RobH mentioned this in Unknown Object (Task).Jan 30 2017, 7:45 PM
RobH created subtask Unknown Object (Task).
RobH changed the task status from Open to Stalled.Jan 30 2017, 7:59 PM

I've created a task (T156667) for the quotation for a replacement system.

Change 333780 had a related patch set uploaded (by Dzahn):
add netmon1002 to site

https://gerrit.wikimedia.org/r/333780

RobH renamed this task from hardware request for netmon1001 to hardware request for netmon1001 replacement.Mar 6 2017, 6:22 PM
RobH triaged this task as High priority.
RobH removed a project: Patch-For-Review.
RobH added a comment.Mar 15 2017, 11:28 PM

The order for netmon1002 has been placed.

RobH closed this task as Resolved.Mar 20 2017, 11:10 PM

Lead time for the replacement is not until June, so an in place upgrade of netmon1001 will be required. Once the system arrives, its setup will be tracked on T159756.

fgiunchedi mentioned this in Unknown Object (Task).Mar 30 2017, 4:31 PM
faidon closed subtask Unknown Object (Task) as Resolved.Apr 19 2017, 6:47 PM
Dzahn changed the status of subtask T159756: setup netmon1002.wikimedia.org from Stalled to Open.Apr 24 2017, 7:39 PM